Subject: EPOS Calls Review
From: Pritish Nandi <[email-masked]>
To: siddhartha kler <[email-masked]>
Cc: deeksha <[email-masked]>, saurabh <[email-masked]>
Date: Thu, 10 Dec 2020 07:36:10 -0700 (MST)

Hi Sid, 

As discussed, please work on the below-mentioned feedback: 

Siddhartha 

1. +353871332921 

Feedback- 

· Incorrect way of apology. 

· Started asking for email without giving the background 

· Was quite in between. 

Good Things- 

· Good Opening 

· Spelt the email address which is the correct way 

· Apologized for interrupting 

· Sounded enthusiastic 

· Was very polite and pleasant on the call 

· Correct questioning 

2. Forwarding Number Duration 00:08:16 117957 

Feedback 

· Did not use correct sentences. “This is Adapt 135 you want to ask? Should have said “I see this is Adapt 135 headset. I would be happy to answer your questions regarding this product” 

· Did not capture the article number correctly for the first time 

· Should not use “I want to tell you” but it is appropriate to use “ I would like to update you that” 

· Contradictory statement “New mobile phones use industry-standard however there is no industry standard now” 

· Usage of the word “gonna” this is a slang 

· Again was not attentive to what the customer was saying when spelling the “name” 

· Overconfident when spelling the name 

· Told that he will send an email by tomorrow. – This is not acceptable. 

· Was stammering on call 

· Tried assuring he is not going to sell anything. Not sure what he was trying with that statement as it came very awkward. 

· Again spelled the name of the organization incorrectly 

Good Things 

· Correct opening 

· Sounded polite 

Regards, 
Pritish Nandi